/*
 * ford_immo.h
 *
 *  Created on: Nov 21, 2025
 *      Author: herli
 */
#include "stdint.h"
#include "can_schema.h"

#ifndef IMMOBILISERS_FORD_IMMO_H_
#define IMMOBILISERS_FORD_IMMO_H_

#define FIRSTWORD_PREFIX_LEN 622 //622
#define FIRSTWORD_PERIOD     440 //440 - 881(el prefix 0)

static const uint16_t firstword_prefix[FIRSTWORD_PREFIX_LEN];  // v[0..621]
static const uint16_t firstword_cycle[FIRSTWORD_PERIOD];       // v[622..622+439]

extern uint16_t FIEONA_FIRSTWORD;
extern uint16_t FIEONA_SECONDWORD;

extern uint16_t FIEONA_advance();
extern void Fieona_SEND4_Handler();
extern void FIEONA_reset_counter();
void FIEONA_Poll(void);


#endif /* IMMOBILISERS_FORD_IMMO_H_ */
